## org.jfree.chart.urls
Interface CategoryURLGenerator

All Known Implementing Classes:
  StandardCategoryURLGenerator

    public interface CategoryURLGenerator

A URL generator for items in a `CategoryDataset`.

Method Summary
`java.lang.String` `generateURL(CategoryDataset dataset, int series, int category)` Returns a URL for one item in a dataset.

Method Detail

### generateURL

    java.lang.String generateURL(CategoryDataset dataset,
                                 int series,
                                 int category)

  Returns a URL for one item in a dataset. As a guideline, the URL should be valid within the context of an XHTML 1.0 document. Classes that implement this interface are responsible for correctly escaping any text that is derived from the dataset, as this may be user-specified and could pose a security risk.

  Parameters:
    `dataset` - the dataset.
    `series` - the series (zero-based index).
    `category` - the category.
  Returns:
    A string containing the URL.